Summary:	An image viewer and browser for GNOME.
Name:		gthumb
Version:	2.1.6
Release:	1mdk
License:	GPL
URL:		http://gthumb.sourceforge.net/
Group:		Graphics
Source0:	%{name}-%{version}.tar.bz2
Source1:	%{name}-icons.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	libgnomeprintui-devel
BuildRequires:  libgnomeui2-devel
BuildRequires:  scrollkeeper
BuildRequires:  libexif-devel >= 0.5.12
BuildRequires:  libpng-devel
BuildRequires:  libglade2.0-devel
Requires: libjpeg-progs
PreReq: scrollkeeper >= 0.3

%description
gThumb lets you browse your hard disk, showing you thumbnails of image files. 
It also lets you view single files (including GIF animations), add comments to
images, organize images in catalogs, print images, view slideshows, set your
desktop background, and more. 

%prep
%setup -q

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT

GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std

%find_lang %{name}-2.0 --with-gnome --all-name

# icons
mkdir -p %{buildroot}/%{_iconsdir}
bzcat %{SOURCE1}| tar xvf - -C %buildroot/%{_iconsdir}

install -d %buildroot/%_menudir
cat > %buildroot/%{_menudir}/%name << EOF
?package(%{name}): \
command="%{_bindir}/%{name}" \
icon="%name.png" \
needs="X11" \
section="Multimedia/Graphics" \
title="GThumb" \
longtitle="View and organize your images" \
startup_notify="true"
EOF

# create cache files
touch $RPM_BUILD_ROOT%{_datadir}/gnome/help/%{name}/C/%name.html

# remove unpackaged files 
rm -f $RPM_BUILD_ROOT%{_libdir}/gthumb/modules/*.{la,a} \
 $RPM_BUILD_ROOT%{_libdir}/*.{la,a}

%post
GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/gthumb.schemas >/dev/null
if [ -x %{_bindir}/scrollkeeper-update ]; then %{_bindir}/scrollkeeper-update -q || true ; fi
if [ -x %{_bindir}/yelp-pregenerate ]; then %{_bindir}/yelp-pregenerate %{_datadir}/gnome/help/%{name}/*/%{name}.xml > /dev/null || true ; fi
%update_menus

%preun
if [ "$1" = "0" ] ; then
GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/gthumb.schemas >/dev/null
fi

%postun
if [ -x %{_bindir}/scrollkeeper-update ]; then %{_bindir}/scrollkeeper-update -q || true ; fi
%update_menus

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}-2.0.lang
%defattr(-,root,root)
%doc AUTHORS NEWS README COPYING
%config(noreplace) %{_sysconfdir}/gconf/schemas/*
%{_bindir}/*
%{_libexecdir}/gthumb-catalog-view
%{_libexecdir}/gthumb-image-viewer
%dir %{_libdir}/gthumb
%dir %{_libdir}/gthumb/modules
%{_libdir}/gthumb/modules/*.so
%{_libdir}/*.so
%{_datadir}/applications/*
%{_datadir}/application-registry/*
%{_datadir}/gnome-2.0/ui/*
%{_datadir}/gthumb
%{_datadir}/omf/*
%{_libdir}/bonobo/servers/*
%{_datadir}/pixmaps/*
%{_datadir}/man/man1/*
%{_menudir}/*
%{_iconsdir}/*
%ghost %{_datadir}/gnome/help/%{name}/C/%{name}.html

%changelog
* Mon Sep  1 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.1.6-1mdk
- new version

* Tue Aug 19 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.1.5-1mdk
- new version

* Sun Aug 17 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.1.4-2mdk
- reenable parallel build
- rebuild with newer libexif

* Sun Aug 10 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.1.4-1mdk
- drop merged patch
- new version

* Wed Jul 16 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.1.3-4mdk
- fix postun script (thanks to Michael Reinsch) 

* Tue Jul 15 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.1.3-3mdk
- don't deinstall schemas on update

* Fri Jul 11 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.1.3-2mdk
- Patch0: fix schema

* Mon Jul  7 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.1.3-1mdk
- add schema uninstallation
- new version

* Wed May 07 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.1.2-1mdk
- Release 2.1.2

* Wed Mar 26 2003 Lenny Cartier <lenny@mandrakesoft.com> 2.1.1-1mdk
- 2.1.1

* Wed Mar 12 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.1.0-3mdk
- fix buildrequires

* Tue Mar 11 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.1.0-2mdk
- fix buildrequires

* Mon Mar  3 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.1.0-1mdk
- Release 2.1.0 (GNOME 2.2 version)
- Remove patch 0 (merged upstream)

* Mon Jan 27 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.1-1mdk
- Release 2.0.1

* Tue Jan 21 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.0-1mdk
- Release 2.0.0

* Fri Jan 17 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1.108-2mdk
- Recompiled against latest openssl
- Generate yelp cache

* Mon Jan  6 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1.108-1mdk
- Release 1.108

* Mon Dec 23 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.107-1mdk
- fix the rpmlint warning about the menu title
- reenable parallel build
- rediff the patch
- new version

* Fri Nov 29 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.106-1mdk
- Release 1.106
- Patch0 : fix compilation with GNOME 2.1.x

* Thu Oct 31 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.104-2mdk
- Add missing views
- Put back translations
- Disable parallel compilation, it is broken
- Fix BuildRequires
- Add missing dependency on libjpeg-progs, needed for jpegtran
- Compiled with EXIF support

* Wed Oct  2 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.104-1mdk
- new version

* Mon Aug 12 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.103-1mdk
- new version

* Fri Aug  2 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.102-1mdk
- First Mandrake Version by Yves Duret (spec file courtesy copy from Paolo Bacchilega)

